<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.43</b></p>
<ul class="maxwidth">';

// Création de la table _periodes
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_periodes (period_id INT ( 11 ) DEFAULT NULL AUTO_INCREMENT , nom VARCHAR ( 100 ) COLLATE utf8_unicode_ci DEFAULT NULL, anneesco VARCHAR ( 100 ) COLLATE utf8_unicode_ci NOT NULL, periodes TEXT COLLATE utf8_unicode_ci NOT NULL , PRIMARY KEY ( period_id )  ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
echo '<li>Création de la table _periodes, vide par défaut.</li>';

// Remplacement des académies de Caen et Rouen par celle de Normandie :
mysqli_query($bdd,"UPDATE ".$prefix."_etab SET academie = 'Normandie' WHERE academie = 'Caen' OR academie = 'Rouen'");
echo '<li>Remplacement, le cas échéant, des académies de Caen et Rouen par celle de Normandie.</li></ul>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.43' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.43.</li></ul>';
?>